dry-rb/dry-system

View on GitHub
README.md

Summary

Maintainability
Test Coverage
<!--- this file is synced from dry-rb/template-gem project -->
[gem]: https://rubygems.org/gems/dry-system
[actions]: https://github.com/dry-rb/dry-system/actions
[codacy]: https://www.codacy.com/gh/dry-rb/dry-system
[chat]: https://dry-rb.zulipchat.com
[inchpages]: http://inch-ci.org/github/dry-rb/dry-system

# dry-system [![Join the chat at https://dry-rb.zulipchat.com](https://img.shields.io/badge/dry--rb-join%20chat-%23346b7a.svg)][chat]

[![Gem Version](https://badge.fury.io/rb/dry-system.svg)][gem]
[![CI Status](https://github.com/dry-rb/dry-system/workflows/ci/badge.svg)][actions]
[![Codacy Badge](https://api.codacy.com/project/badge/Grade/3a0e30d0ae2542c7ba047ba5f923c0bb)][codacy]
[![Codacy Badge](https://api.codacy.com/project/badge/Coverage/3a0e30d0ae2542c7ba047ba5f923c0bb)][codacy]
[![Inline docs](http://inch-ci.org/github/dry-rb/dry-system.svg?branch=master)][inchpages]

## Links

* [User documentation](https://dry-rb.org/gems/dry-system)
* [API documentation](http://rubydoc.info/gems/dry-system)

## Supported Ruby versions

This library officially supports the following Ruby versions:

* MRI `>= 2.7.0`
* jruby `>= 9.3` (postponed until 2.7 is supported)

## License

See `LICENSE` file.